org.wildfly.swarm.config.elytron

## Class ConfigurableSASLServerFactory<T extends ConfigurableSASLServerFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ConfigurableSASLServerFactory<T>

-     public class ConfigurableSASLServerFactory<T extends ConfigurableSASLServerFactory<T>>
      extends Object

  A SaslServerFactory definition that wraps another SaslServerFactory and applies the specified configuration and filtering.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurableSASLServerFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `availableMechanism(String value)` The SASL mechanisms available from this factory after all filtering has been applied.
    `List<String>` | `availableMechanisms()` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `availableMechanisms(List<String> value)` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `availableMechanisms(String... args)` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `filter(Map value)` List of filters to be evaluated sequentially combining the results using 'or'.
    `List<Map>` | `filters()` List of filters to be evaluated sequentially combining the results using 'or'.
    `T` | `filters(List<Map> value)` List of filters to be evaluated sequentially combining the results using 'or'.
    `T` | `filters(Map... args)` List of filters to be evaluated sequentially combining the results using 'or'.
    `String` | `getKey()`
    `Map` | `properties()` Custom properties to be passed in to the sasl server factory calls.
    `T` | `properties(Map value)` Custom properties to be passed in to the sasl server factory calls.
    `T` | `property(String key, Object value)` Custom properties to be passed in to the sasl server factory calls.
    `String` | `protocol()` The protocol that should be passed into factory when creating the mechanism.
    `T` | `protocol(String value)` The protocol that should be passed into factory when creating the mechanism.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `saslServerFactory()` The sasl server factory to be wrapped.
    `T` | `saslServerFactory(String value)` The sasl server factory to be wrapped.
    `String` | `serverName()` The server name that should be passed into factory when creating the mechanism.
    `T` | `serverName(String value)` The server name that should be passed into factory when creating the mechanism.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurableSASLServerFactory

          public ConfigurableSASLServerFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availableMechanisms

          public List<String> availableMechanisms()

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(List<String> value)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanism

          public T availableMechanism(String value)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(String... args)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### filters

          public List<Map> filters()

      List of filters to be evaluated sequentially combining the results using 'or'.

    - #### filters

          public T filters(List<Map> value)

      List of filters to be evaluated sequentially combining the results using 'or'.

    - #### filter

          public T filter(Map value)

      List of filters to be evaluated sequentially combining the results using 'or'.

    - #### filters

          public T filters(Map... args)

      List of filters to be evaluated sequentially combining the results using 'or'.

    - #### properties

          public Map properties()

      Custom properties to be passed in to the sasl server factory calls.

    - #### properties

          public T properties(Map value)

      Custom properties to be passed in to the sasl server factory calls.

    - #### property

          public T property(String key,
                            Object value)

      Custom properties to be passed in to the sasl server factory calls.

    - #### protocol

          public String protocol()

      The protocol that should be passed into factory when creating the mechanism.

    - #### protocol

          public T protocol(String value)

      The protocol that should be passed into factory when creating the mechanism.

    - #### saslServerFactory

          public String saslServerFactory()

      The sasl server factory to be wrapped.

    - #### saslServerFactory

          public T saslServerFactory(String value)

      The sasl server factory to be wrapped.

    - #### serverName

          public String serverName()

      The server name that should be passed into factory when creating the mechanism.

    - #### serverName

          public T serverName(String value)

      The server name that should be passed into factory when creating the mechanism.

Copyright © 2017 JBoss by Red Hat. All rights reserved.